MP Afrimesh Installation

Baking an afrimesh-potato

Afrimesh relies on a slightly newer version of OpenWRT than that used by Mesh Potato which requires that the following packages first be installed:

  opkg install http://afrimesh.googlecode.com/files/libjson_0.7-1_mips.ipk
  opkg install http://afrimesh.googlecode.com/files/libuci_0.7.5-1_mips.ipk
  opkg install http://afrimesh.googlecode.com/files/zlib_1.2.3-5_mips.ipk
  opkg install http://afrimesh.googlecode.com/files/libopenssl_0.9.8k-2_mips.ipk
  opkg install http://afrimesh.googlecode.com/files/libcurl_7.19.5-1_mips.ipk
  opkg install http://afrimesh.googlecode.com/files/curl_7.19.5-1_mips.ipk


If LuCI is installed on the Mesh Potato you will need to run:

  mv /www/index.html /www/index.luci.html

(You will still be able to access the full LuCI interface from Afrimesh.)


Afrimesh itself can be installed with:

  opkg -nodeps install http://afrimesh.googlecode.com/files/afrimesh-potato_r447-0.3alpha-1_mips.ipk